
<div class="card">
  <div class="card-img-wrapper">
  <img *ngIf="firearm.Image" class="card-img-top" src="assets/images/{{firearm.Image}}.jpg">
  <img *ngIf="!firearm.Image" class="card-img-top" src="assets/images/firearms-vector-91126.jpg">
  <ul *ngIf="!hideIcons" class="list-inline text-center member-icons animate">
    <li class="list-inline-item">
      <button class="btn btn-dark" routerLink="/firearm-specs/{{firearm.Id}}" ><i class="fa-solid fa-file-pen"></i></button>
    </li>
    <li class="list-inline-item">
      <button class="btn btn-dark"><i class="fa-solid fa-address-card"></i></button>
    </li>
  </ul>

  </div>
  <div class="card-body p-1">
    <h2 class="mb-0"> {{firearm.Name}} {{firearm.Action}} </h2>

    from {{firearm.Origin}}<span *ngIf="firearm.Origin">,</span>
    {{firearm.Manufacturer}}

    <h6 class="mb-0">
      Produced:  <span>{{firearm.Produced}} </span>
    </h6>
    <p></p>

    <h6  class="mt-2">{{firearm.Type}}</h6>

    <hr class="mt-0 mb-2">

    <h6 class="mb-0">Price: <span class="font-highlight">{{firearm.Price}} USD.</span> |
      Cartridge:  <span>{{firearm.Cartridge}} </span>
    </h6>
    <p></p>
    <h6 class="mb-0">
      Effective at: <span class="font-highlight">{{firearm.EFR}}</span>
    </h6>

  </div>
</div>
